# $Revision: 1.66 $, $Date: 2004/07/14 10:10:24 $
Summary:	Direct Connect Text Client
Summary(pl):	Tekstowy klient Direct Connect
Name:		dctc
Version:	0.85.9
Release:	2
License:	GPL
Group:		Applications/Communications
#Source0:	http://ac2i.linuxhome.com/dctc/%{name}-%{version}.tar.gz
Source0:	http://brainz.servebeer.com/dctc/%{name}-%{version}.tar.gz
# Source0-md5:	3e2772cbbc36fac47fd31d01a7520a2e
Patch0:		%{name}-home_etc.patch
URL:		http://ac2i.homelinux.com/dctc/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	glib-devel
BuildRequires:	pkgconfig
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	libxml2-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DCTC is a Direct Connect clone, a Windows client allowing users to
share their files and talk (like IRC but more software sharing
oriented) using a proprietary protocol.

%description -l pl
DCTC jest klonem Direct Connect, windowsowego klienta pozwalajcego
uytkownikom wspdzieli pliki i rozmawia (podobnie do IRC-a, ale w
sposb bardziej zorientowany na dzielenie oprogramowania) uywajc
wasnego protokou.

%prep
%setup -q

%patch -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc KNOWN_BUGS TODO README ChangeLog Documentation/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dctc.spec,v $
Revision 1.66  2004/07/14 10:10:24  mwinkler
- relase 2, rebuild with libgcrypt

Revision 1.65  2004/04/05 20:32:08  paszczus
- fixed URL

Revision 1.64  2004/03/19 23:46:24  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.63  2004/01/30 07:38:46  pascalek
- updated to 0.85.9

Revision 1.62  2003/12/23 06:26:49  misi3k
- updated to 0.85.7, more br

Revision 1.61  2003/10/27 08:11:54  pascalek
- updated to 0.85.6

Revision 1.60  2003/09/01 13:11:08  misi3k
- home_etc patch backonline

Revision 1.59  2003/08/25 09:03:42  pascalek
- updated to 0.85.5

Revision 1.58  2003/07/12 17:22:00  misi3k
- updated to 0.85.4

Revision 1.57  2003/06/01 20:26:24  misi3k
- updated 0.85.3, removed home_etc patch

Revision 1.56  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.55  2003/05/25 05:46:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.54  2003/05/10 07:04:51  kosmo
- updated to 0.85.2

Revision 1.53  2003/03/31 18:11:15  kosmo
- updated to 0.85.1

Revision 1.52  2003/03/13 18:24:24  misiek
- updated to 0.85.0

Revision 1.51  2003/01/30 09:48:39  pascalek
- gcc2 patch is outdated

Revision 1.50  2003/01/30 09:44:41  pascalek
- updated to 0.84.1

Revision 1.49  2003/01/25 20:43:37  misiek
- db3->db

Revision 1.48  2003/01/13 08:04:30  pascalek
- updated to 0.84.0

Revision 1.47  2003/01/01 01:35:23  gotar
- BR: db3-devel

Revision 1.46  2003/01/01 01:26:50  gotar
- fixed %doc specification and pl description,
- release 2.

Revision 1.45  2002/12/09 07:45:46  pascalek
- updated to 0.83.9

Revision 1.44  2002/11/12 10:31:39  krolik

updated to new 0.83.8 version

Revision 1.43  2002/11/05 09:03:26  pascalek
- updated to 0.83.7

Revision 1.42  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.41  2002/10/06 18:16:04  mmazur
- added missing man

Revision 1.40  2002/10/05 19:05:49  mmazur
- updated to 0.83.5; STBR

Revision 1.39  2002/08/26 05:44:29  pascalek
- updated to 0.83.3

Revision 1.38  2002/07/29 07:49:40  jojoro
- updated to 0.83.2

Revision 1.37  2002/06/17 11:06:56  jojoro
- new bugfixed version 0.83.1
- STBR

Revision 1.36  2002/06/09 15:02:31  jojoro
- updated to 0.83.0

Revision 1.35  2002/06/03 09:19:37  pascalek
- Release 2, home_etc patch added

Revision 1.34  2002/05/28 15:44:09  jojoro
- update to 0.82

Revision 1.33  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.32  2002/05/13 22:49:50  jojoro

- updated to 0.81

Revision 1.31  2002/05/11 06:24:00  misiek
- updated to 0.80.5

Revision 1.30  2002/04/25 16:09:54  arturs
fixed a small typo

Revision 1.29  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/03/24 22:57:33  misiek
- updated to 0.76.0

Revision 1.27  2002/03/23 05:21:16  kloczek
- updated to 0.75.0.

Revision 1.26  2002/03/11 02:27:24  jack
Updated to 0.74 dctc and 0.48 dc_gui - build and work ok

Revision 1.25  2002/03/05 20:36:15  jack
Updated to 0.73.0 - builds and works fine.

Revision 1.24  2002/02/28 17:27:39  jack
Updated - builds and works.

Revision 1.23  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/19 06:34:16  kloczek
- updated to 0.71.1.

Revision 1.21  2002/02/09 18:40:56  kloczek
- updated to 0.70.0 (bugfix release).

Revision 1.20  2002/02/03 14:50:20  misiek
- updated to 0.69

Revision 1.19  2002/01/28 06:44:22  kloczek
- updated to 0.68.0 (mainly bugfix release).

Revision 1.18  2002/01/20 12:21:47  misiek
- updated to 0.67

Revision 1.17  2002/01/18 02:12:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2002/01/13 11:27:03  kloczek
- cosmetics.

Revision 1.15  2002/01/13 10:39:49  misiek
- updated to 0.66

Revision 1.14  2002/01/06 11:44:12  misiek
- update to 0.65.0 (more and more fixes)

Revision 1.13  2002/01/05 23:24:56  misiek
- updated to 0.64 (bugfixes)

Revision 1.12  2001/12/20 02:09:12  misiek
- added shared dirs patch

Revision 1.11  2001/12/20 01:55:08  misiek
- updated to 0.62.0 (am/ac ready; bugfixes)

Revision 1.10  2001/12/09 04:01:17  kloczek
- simplifications.

Revision 1.9  2001/12/09 01:08:20  adasi
- erased XFree86-libs BuildRequires (it does not use it)

Revision 1.8  2001/12/02 14:37:56  fastviper
- Compile using make nomakedepend
- Add patch to force PLD-style CFLAGS and CC
- Now compiles for i686 when -march=i686 used in CFLAGS

Revision 1.7  2001/12/01 15:20:10  grzegorz
- updated to 0.60
- please somebody check why compilation goes with -march=i586 on i686 arch

Revision 1.6  2001/11/21 15:53:31  qboosh
- pl description

Revision 1.5  2001/11/09 10:32:33  grzegorz
- added summary and description

Revision 1.4  2001/11/08 12:14:56  grzegorz
- update to 0.59, STBR

Revision 1.3  2001/10/22 06:42:15  ankry
- fixed URL, added source URL

Revision 1.2  2001/10/21 14:22:13  grzegorz
- added BuildRequires: XFree86-devel glib-devel
- update to 0.58
- more docs gziped

Revision 1.2  2001/10/19 06:48:25  pascalek
- BuildRequires removed

Revision 1.1  2001/10/19 06:45:58  pascalek
- initial revision
